{% extends 'navbar.html' %}

{% block content_block %}
{% load static %}
<link rel="stylesheet" href="{% static 'css/chatpage.css' %}" type="text/CSS">
<script src="{% static 'js/chatpage.js' %}"></script>
<head><script src='//production-assets.codepen.io/assets/editor/live/console_runner-079c09a0e3b9ff743e39ee2d5637b9216b3545af0de366d4b9aad9dc87e26bfd.js'></script><script src='//production-assets.codepen.io/assets/editor/live/events_runner-73716630c22bbc8cff4bd0f07b135f00a0bdc5d14629260c3ec49e5606f98fdd.js'></script><script src='//production-assets.codepen.io/assets/editor/live/css_live_reload_init-2c0dc5167d60a5af3ee189d570b1835129687ea2a61bee3513dee3a50c115a77.js'></script><meta charset='UTF-8'><meta name="robots" content="noindex"><link rel="shortcut icon" type="image/x-icon" href="//production-assets.codepen.io/assets/favicon/favicon-8ea04875e70c4b0bb41da869e81236e54394d63638a1ef12fa558a4a835f1164.ico" /><link rel="mask-icon" type="" href="//production-assets.codepen.io/assets/favicon/logo-pin-f2d2b6d2c61838f7e76325261b7195c27224080bc099486ddd6dccb469b8e8e6.svg" color="#111" /><link rel="canonical" href="https://codepen.io/emilcarlsson/pen/ZOQZaV?limit=all&page=74&q=contact+" />

<link href="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
<script src="//cdnjs.cloudflare.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

<link href="//netdna.bootstrapcdn.com/bootstrap/3.0.0/css/bootstrap.min.css" rel="stylesheet" id="bootstrap-css">
<script src="//netdna.bootstrapcdn.com/bootstrap/3.0.0/js/bootstrap.min.js"></script>
<script src="//code.jquery.com/jquery-1.11.1.min.js"></script>
<!------ Include the above in your HEAD tag ---------->

<link href='https://fonts.googleapis.com/css?family=Source+Sans+Pro:400,600,700,300' rel='stylesheet' type='text/css'>

<script src="https://use.typekit.net/hoy3lrg.js"></script>
<script>try{Typekit.load({ async: true });}catch(e){}</script>
<link rel='stylesheet prefetch' href='https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css'><link rel='stylesheet prefetch' href='https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.6.2/css/font-awesome.min.css'>

{% if user.is_authenticated %}
<div id="frame">
	<div id="sidepanel">
		<div id="profile">
			<div class="wrap">
				<img id="profile-img" src="http://emilcarlsson.se/assets/mikeross.png" class="online" alt="" />
				<p>{{user.username}}</p>
				<i class="fa fa-chevron-down expand-button" aria-hidden="true"></i>
				<div id="status-options">
					<ul>
						<li id="status-online" class="active"><span class="status-circle"></span> <p>Online</p></li>
						<li id="status-away"><span class="status-circle"></span> <p>Away</p></li>
						<li id="status-busy"><span class="status-circle"></span> <p>Busy</p></li>
						<li id="status-offline"><span class="status-circle"></span> <p>Offline</p></li>
					</ul>
				</div>
			</div>
		</div>
		<div id="search">
			<label for=""><i class="fa fa-search" aria-hidden="true"></i></label>
			<input type="text" placeholder="Search contacts..." />
		</div>
		<div id="contacts">
			<ul>
				{% for userx in users %}
					{% if userx != user.username %}
					<li class="contact" onclick="openChat('{{ userx.username }}')">
						<div class="wrap">
							<span class="contact-status online"></span>
							<img src="{% static 'img/img_avatar.png' %}" alt="pict" />
							<div class="meta">
								<p class="name">{{userx.username}}</p>
								<p class="preview">Click to Open Chat</p>
							</div>
						</div>
					</li>
					{% endif %}
				{% endfor %}
			</ul>
		</div>
	</div>
	<div class="content">		
		{% for userx in users %}
		<div class="contact-profile hideAble uname" id={{userx.username}} style="display:none;">
			<img src="{% static 'img/img_avatar.png' %}" alt="" />
			<p>{{userx.username}}</p>
		</div>
		<div class="messages hideAble" id="{{userx.username}}" style="display:block;">
			<ul>
				{% for chat in chats %}
					<li>
						<img src="{% static 'img/img_avatar.png' %}" alt="" />
						<p>{{chat.pesan}}</p>
					</li>
				{% endfor %}
			</ul>
		</div>
		<form method="POST" action="{% url 'user:send_message' user.id userx.id %}"> {% csrf_token %}
		<div class="message-input">
			<div class="wrap">
				<input type="text" placeholder="Write your message..." name="pesan" required>
				<i class="fa fa-paperclip attachment" aria-hidden="true"></i>
				<button type="submit" class="submit"><i class="fa fa-paper-plane" aria-hidden="true"></i></button>
			</div>
		</div>
		</form>
		{% endfor %}
	</div>
</div>
{% endif %}
<script src='//production-assets.codepen.io/assets/common/stopExecutionOnTimeout-b2a7b3fe212eaa732349046d8416e00a9dec26eb7fd347590fbced3ab38af52e.js'></script><script src='https://code.jquery.com/jquery-2.2.4.min.js'></script>

{% endblock content_block %}

{% block custom_style %}
<style>
    body{
        margin: 0;
        padding: 0;
        overflow: hidden;
		height: 100vh;
    }
</style>
{% endblock custom_style %}

